org.apache.sysds.runtime.compress.colgroup.insertionsort

## Class InsertionSorterFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.insertionsort.InsertionSorterFactory

-     public final class InsertionSorterFactory
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InsertionSorterFactory.SORT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertionSorterFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AInsertionSorter` | `create(int endLength, int knownMax, IntArrayList[] offsets)`
    `static AInsertionSorter` | `create(int endLength, int knownMax, IntArrayList[] offsets, int negativeIndex)`
    `static AInsertionSorter` | `create(int endLength, int knownMax, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertionSorterFactory

          public InsertionSorterFactory()

  - ### Method Detail

    - #### create

          public static AInsertionSorter create(int endLength,
                                                int knownMax,
                                                IntArrayList[] offsets)

    - #### create

          public static AInsertionSorter create(int endLength,
                                                int knownMax,
                                                IntArrayList[] offsets,
                                                int negativeIndex)

    - #### create

          public static AInsertionSorter create(int endLength,
                                                int knownMax,
                                                IntArrayList[] offsets,
                                                int negativeIndex,
                                                InsertionSorterFactory.SORT_TYPE st)

Copyright © 2021 The Apache Software Foundation. All rights reserved.